/*!\file MatlabVectorToSeqVec.cpp
 */

/*Headers:*/
#include <mex.h>
#include <stdio.h>
#include <string.h>
#include "./matlabio.h"
#include "../../c/toolkits/toolkits.h"
#include "../../c/shared/shared.h"

SeqVec<double>* MatlabVectorToSeqVec(const mxArray* dataref){

	SeqVec<double>* output=NULL;

	output=new SeqVec<double>();
	MatlabVectorToDoubleVector(&output->vector,&output->M,dataref);
	return output;

}
